<?xml version="1.0" encoding="UTF-8"?>
<!--Sample XML file generated by XMLSpy v2009 sp1 (http://www.altova.com)-->
<MUPDefinition xsi:schemaLocation="http://schemas.dell.com/openmanage/cm/2/0/mupdefinition.xsd mupdefinition.xsd"
 xmlns="http://schemas.dell.com/openmanage/cm/2/0/mupdefinition.xsd"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<packageinformation>
		<name>NVMUP</name>
		<version>1.0.0.0</version>
		<installertype>installshield installscript</installertype>
		<packagegrouping>single_package</packagegrouping>
		<packagingtype>zip</packagingtype>
		<releasetype>DRVR</releasetype>
		<mupspecificationversion>2.0.0</mupspecificationversion>
		<supportedoperatingsystems>
			<osidentifier name="XP" architecture="x86"/>
			<osidentifier name="XP" architecture="x64"/>
			<osidentifier name="Vista" architecture="x86"/>
			<osidentifier name="Vista" architecture="x64"/>
			<osidentifier name="Windows7" architecture="x86"/>
			<osidentifier name="Windows7" architecture="x64"/>
		</supportedoperatingsystems>
	</packageinformation>
	<executable>
		<executablename>NVMUP.exe</executablename>
		<requiredparameters>
			<commandlineparameter/>
		</requiredparameters>
	</executable>
	<behaviors>
		<behavior name="help">
			<vendoroption>
				<optionvalue requiresvalue="false" switch="/">?</optionvalue>
			</vendoroption>
		</behavior>
		<behavior name="extractdrivers">
			<vendoroption>
				<container>
					<containervalue switch="/" requiresvalue="false" valuedelimiter=" " enclose="&quot;">v</containervalue>
					<optionvalue switch=" " requiresvalue="true" valuedelimiter="=">EXTRACTDRIVERS</optionvalue>
				</container>
			</vendoroption>
		</behavior>
		<behavior name="attended"/>
		<behavior name="unattended">
			<vendoroption>
				<optionvalue requiresvalue="false" switch="/">s</optionvalue>
			</vendoroption>
		</behavior>
	</behaviors>
	<parameters>
		<parametermapping name="logfile">
			<vendoroption>
				<container>
					<containervalue switch="/" requiresvalue="false" valuedelimiter=" " enclose="&quot;">v</containervalue>
					<optionvalue switch=" " requiresvalue="true" valuedelimiter="=">LOGFILE</optionvalue>
				</container>
			</vendoroption>
		</parametermapping>
		<parametermapping name="force">
			<vendoroption>
				<container>
					<containervalue switch="/" requiresvalue="false" valuedelimiter=" " enclose="&quot;">v</containervalue>
					<optionvalue switch=" " requiresvalue="false" valuedelimiter="=">FORCE</optionvalue>
				</container>
			</vendoroption>
		</parametermapping>
	</parameters>
	<returncodes>
		<returncodemapping name="SUCCESS">
			<vendorreturncode>0</vendorreturncode>
		</returncodemapping>
		<returncodemapping name="ERROR">
			<vendorreturncode>1603</vendorreturncode>
		</returncodemapping>
		<returncodemapping name="REBOOT_REQUIRED">
			<vendorreturncode>3010</vendorreturncode>
		</returncodemapping>
		<returncodemapping name="ERROR_INSTALL_PLATFORM_UNSUPPORTED">
			<vendorreturncode>1633</vendorreturncode>
		</returncodemapping>
		<returncodemapping name="DEP_SOFT_ERROR">
			<vendorreturncode>3</vendorreturncode>
		</returncodemapping>
		<returncodemapping name="REBOOTING_SYSTEM">
			<vendorreturncode>1641</vendorreturncode>
		</returncodemapping>
		<returncodemapping name="REBOOT_UPDATE_PENDING">
			<vendorreturncode>9</vendorreturncode>
		</returncodemapping>
		<returncodemapping name="UNKNOWN_OPTION">
			<vendorreturncode>1608</vendorreturncode>
		</returncodemapping>
		<returncodemapping name="INSTALL_USEREXIT">
			<vendorreturncode>1602</vendorreturncode>
		</returncodemapping>
	</returncodes>
	<inventorymetadata>
	    <fullpackageidentifier>
		<registrykeys>
			<registrykey>
				<name>HKLM\Software\NVIDIA Corporation\Installer\DisplayDriverVersion</name>
				<value>CurrentDriverVersion</value>
			</registrykey>
		</registrykeys>
	    </fullpackageidentifier>
	</inventorymetadata>
	
</MUPDefinition>
